<template>
  <div class="todolistContainer">
    <div class="heading">
      <h2 id="title">Todo List</h2>
      <add-item-from v-on:reloadlist="getList()"/>
    </div>
    <list-View :items="items"
    v-on:reloadlist="getList()" />
  </div>
</template>

<script>
import axios from "axios";
import addItemFrom from "./addItemForm.vue";
import listView from "./listView.vue";
export default {
  components: {
    addItemFrom,
    listView,
  },
  data: function () {
    return {
      items: [],
    };
  },
  methods: {
    getList() {
      axios
        .get("api/items")
        .then((response) => {
          this.items = response.data;
        })
        .catch((error) => {
          console.log(error);
        });
    },
  },
  created() {
    this.getList();
  },
};
</script>

<style scoped>
.todoListContainner {
  width: 350px;
  margin: auto;
}
.heading {
  background: #e6e6e6;
  padding: 10px;
}
#title {
  text-align: center;
  margin: auto;
}
</style>